---
pages:
  image: registry.gitlab.com/infai/ontoflow/ontoflow-podman:main
  stage: deploy
  tags:
    - podman
  script:
    - nextflow clone https://gitlab.com/infai/ontoflow -r main
    - nextflow run -c <(printf "docker.enabled = false\npodman.enabled = true") ontoflow
  artifacts:
    paths:
      - public/
  rules:
    - if: '$CI_COMMIT_BRANCH == "main" || $CI_COMMIT_BRANCH == "master"'
